
#ifndef _MODAL_H
#define _MODAL_H

#include "mocamain.h"
#include "resource.h"

//--------------------------------------------------------------------------
// CSampleModalDlg
//--------------------------------------------------------------------------
class CSampleModalDlg : public CDialog
{
public:
	CSampleModalDlg(CWnd *pwndParent = NULL); // standard constructor

	//{{AFX_DATA(CSampleModalDlg)
	enum { IDD = IDD_SAMPLE };
	CString	m_strColName;
	CString	m_strWksName;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSampleModalDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	virtual BOOL OnInitDialog();

private:

public:

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSampleModalDlg)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // _MODAL_H